From fd1e9efd663668e61b691230a85152e646bd9d14 Mon Sep 17 00:00:00 2001
From: manisha <manisha_kanyal.scsebtech@galgotiasuniversity.edu.in>
Date: Jun 09 2021 08:05:31 +0000
Subject: [PATCH 7/9] added icons


---

diff --git a/src/wizard/FedoraManualTesting.js b/src/wizard/FedoraManualTesting.js
index b1a7f0d..01c26d5 100644
--- a/src/wizard/FedoraManualTesting.js
+++ b/src/wizard/FedoraManualTesting.js
@@ -1,6 +1,6 @@
 import React, { Component } from "react"
 import { Modal, ModalHeader, ModalBody, ModalFooter } from "reactstrap"
-import { CollapsableCard, CollapsableBadge, ModalBadge } from "./components"
+import { CollapsableCard, CollapsableBadge } from "./components"
 
 export default class FedoraManualTesting extends Component {
   render() {
@@ -36,82 +36,79 @@ class FedoraManualTestingItemsListSub1 extends Component {
     subsections = <ul>{subsections}</ul>
 
     var l1 = <div></div>
-    switch (
-      this.props.title
-      // case "Installation":
-      //   l1 = (
-      //     <div>
-      //       The <strong>Installation</strong> testcases generally deal with a part of the
-      //       installation procedure.
-      //       <br />
-      //       You will certainly need an installation ISO, and either a Virtual or Bare-metal machine
-      //       to run the test.
-      //       <br />
-      //       <i>Note:</i> some (not that many, though) of these testcases require Bare-metal
-      //       machine. Be sure to read the Description of the testcase carefully.
-      //     </div>
-      //   )
-      //   break
-      // case "Desktop":
-      //   l1 = (
-      //     <div>
-      //       The <strong>Desktop</strong> testcases cover basic functionality of the desktop
-      //       environment.
-      //       <br />
-      //       You can either install Fedora onto clean Virtual or Bare-metal machine, or use a Live
-      //       image instead.
-      //     </div>
-      //   )
-      //   break
-      // case "Base":
-      //   l1 = (
-      //     <div>
-      //       The <strong>Base</strong> testcases cover the system&#x27;s basic functionality just
-      //       after a clean installation.
-      //       <br />
-      //       Most times, you will be asked to perform a clean Fedora installation. You can use
-      //       either Virtual or Bare-metal machine.
-      //       <br />
-      //       <i>Pro tip:</i> using a snapshot of cleanly installed Virtual machine is just fine. No
-      //       need to reinstall for every testcase.
-      //     </div>
-      //   )
-      //   break
-      // case "Server":
-      //   l1 = (
-      //     <div>
-      //       The <strong>Server</strong> testcases usually require multiple machines to test the
-      //       server-client behaviour, and might feel a bit advanced.
-      //     </div>
-      //   )
-      //   break
-      // case "Cloud":
-      //   l1 = (
-      //     <div>
-      //       Even thought the <strong>Cloud</strong> testcases are best done in the specific
-      //       environments like EC2 or Openstack, you can also perform them locally using Testcloud.
-      //       <br />
-      //       Have a look at the{" "}
-      //       <a
-      //         target="_blank"
-      //         rel="noopener noreferrer"
-      //         href="https://fedoraproject.org/wiki/Test_Results:Fedora_Current_Cloud#Cloud_Provider_Setup">
-      //         Cloud provider setup
-      //       </a>{" "}
-      //       guides for more details.
-      //     </div>
-      //   )
-      //   break
-      // default:
-      //   break
-    ) {
+    switch (this.props.title) {
+      case "Installation":
+        l1 = (
+          <div>
+            The <strong>Installation</strong> testcases generally deal with a part of the
+            installation procedure.
+            <br />
+            You will certainly need an installation ISO, and either a Virtual or Bare-metal machine
+            to run the test.
+            <br />
+            <i>Note:</i> some (not that many, though) of these testcases require Bare-metal
+            machine. Be sure to read the Description of the testcase carefully.
+          </div>
+        )
+        break
+      case "Desktop":
+        l1 = (
+          <div>
+            The <strong>Desktop</strong> testcases cover basic functionality of the desktop
+            environment.
+            <br />
+            You can either install Fedora onto clean Virtual or Bare-metal machine, or use a Live
+            image instead.
+          </div>
+        )
+        break
+      case "Base":
+        l1 = (
+          <div>
+            The <strong>Base</strong> testcases cover the system&#x27;s basic functionality just
+            after a clean installation.
+            <br />
+            Most times, you will be asked to perform a clean Fedora installation. You can use
+            either Virtual or Bare-metal machine.
+            <br />
+            <i>Pro tip:</i> using a snapshot of cleanly installed Virtual machine is just fine. No
+            need to reinstall for every testcase.
+          </div>
+        )
+        break
+      case "Server":
+        l1 = (
+          <div>
+            The <strong>Server</strong> testcases usually require multiple machines to test the
+            server-client behaviour, and might feel a bit advanced.
+          </div>
+        )
+        break
+      case "Cloud":
+        l1 = (
+          <div>
+            Even thought the <strong>Cloud</strong> testcases are best done in the specific
+            environments like EC2 or Openstack, you can also perform them locally using Testcloud.
+            <br />
+            Have a look at the{" "}
+            <a
+              target="_blank"
+              rel="noopener noreferrer"
+              href="https://fedoraproject.org/wiki/Test_Results:Fedora_Current_Cloud#Cloud_Provider_Setup">
+              Cloud provider setup
+            </a>{" "}
+            guides for more details.
+          </div>
+        )
+        break
+      default:
+        break
     }
 
     return (
-      // <CollapsableCard title={l1} expand_text="Show me!" expand_class="primary">
-      //   {subsections}
-      // </CollapsableCard>
-      <> {subsections}</>
+      <CollapsableCard title={l1} expand_text="Show me!" expand_class="primary">
+        {subsections}
+      </CollapsableCard>
     )
   }
 }
@@ -170,7 +167,7 @@ export class FedoraManualTestingItem extends Component {
             <a target="_blank" rel="noopener noreferrer" href={matrix_url}>
               Tescase matrix
             </a>{" "}
-            <ModalBadge expand_text="Not sure what that means?">
+            <CollapsableBadge expand_text="Not sure what that means?">
               <ul>
                 <li>
                   Have a look at the matrix. The rows are the testcases, and the columns are the
@@ -184,7 +181,7 @@ export class FedoraManualTestingItem extends Component {
                   results.
                 </li>
               </ul>
-            </ModalBadge>
+            </CollapsableBadge>
           </li>
 
           <li>
@@ -193,7 +190,7 @@ export class FedoraManualTestingItem extends Component {
               Testcase
             </a>{" "}
             briefly, just to have a general idea of what you will be doing.{" "}
-            <ModalBadge expand_text="Not making much sense?">
+            <CollapsableBadge expand_text="Not making much sense?">
               The testcases are generally split into four sections:
               <ul>
                 <li>
@@ -213,7 +210,7 @@ export class FedoraManualTestingItem extends Component {
                   order to decide whether it Passed of Failed
                 </li>
               </ul>
-            </ModalBadge>
+            </CollapsableBadge>
           </li>
 
           <li>
@@ -225,7 +222,7 @@ export class FedoraManualTestingItem extends Component {
               here
             </a>
             .{" "}
-            <ModalBadge expand_text="Not sure how?">
+            <CollapsableBadge expand_text="Not sure how?">
               <ul>
                 <li>
                   Most of the time Workstation Live, or Server DVD are fine, but sometimes there
@@ -233,7 +230,7 @@ export class FedoraManualTestingItem extends Component {
                 </li>
                 <li>
                   Make sure to read about identifying the environment above.{" "}
-                  <ModalBadge expand_text="Show me!">
+                  <CollapsableBadge expand_text="Show me!">
                     <ul>
                       <li>
                         Have a look at the matrix. The rows are the testcases, and the columns are
@@ -248,10 +245,10 @@ export class FedoraManualTestingItem extends Component {
                         missing results.
                       </li>
                     </ul>
-                  </ModalBadge>
+                  </CollapsableBadge>
                 </li>
               </ul>
-            </ModalBadge>
+            </CollapsableBadge>
           </li>
 
           <li>
@@ -260,11 +257,11 @@ export class FedoraManualTestingItem extends Component {
               Testcase
             </a>{" "}
             thoroughly, to be sure you know what to do.{" "}
-            <ModalBadge expand_text="Feeling a bit lost?">
+            <CollapsableBadge expand_text="Feeling a bit lost?">
               <ul>
                 <li>
                   The testcase structure is not making sense?{" "}
-                  <ModalBadge expand_text="Click here">
+                  <CollapsableBadge expand_text="Click here">
                     The testcases are generally split into four sections:
                     <ul>
                       <li>
@@ -284,12 +281,12 @@ export class FedoraManualTestingItem extends Component {
                         testing in order to decide whether it Passed of Failed
                       </li>
                     </ul>
-                  </ModalBadge>
+                  </CollapsableBadge>
                 </li>
                 <li>
                   Maybe you are stuck, or just do not understand something? Feel free to ask on our
                   IRC channel #fedora-qa at freenode.net{" "}
-                  <ModalBadge expand_text="Don&#39;t have an IRC client?">
+                  <CollapsableBadge expand_text="Don&#39;t have an IRC client?">
                     If you are not that familiar with IRC, you can use the{" "}
                     <a
                       target="_blank"
@@ -299,15 +296,15 @@ export class FedoraManualTestingItem extends Component {
                     </a>{" "}
                     just enter a Nickname of your choice, #fedora-qa (including the hash sign) in
                     the Channels field, and click Connect.
-                  </ModalBadge>
+                  </CollapsableBadge>
                 </li>
               </ul>
-            </ModalBadge>
+            </CollapsableBadge>
           </li>
 
           <li>Get your hands dirty, and test the hell out of it!</li>
           <li>
-            <ModalBadge expand_class="success" expand_text="Everything went well" type="btn">
+            <CollapsableBadge expand_class="success" expand_text="Everything went well" type="btn">
               Great! Either use <code>relval report-results</code> on command line (make sure to
               install the <code>relval</code> package first), or modify the{" "}
               <a target="_blank" rel="noopener noreferrer" href={matrix_url}>
@@ -316,9 +313,9 @@ export class FedoraManualTestingItem extends Component {
               directly by clicking on the <code>Edit</code> link next to the Matrice's header, and
               put <code>&#123;&#123;result|pass|YOUR_NAME_HERE|&#125;&#125;</code> in the
               appropriate spot.
-            </ModalBadge>
+            </CollapsableBadge>
 
-            <ModalBadge expand_class="danger" expand_text="I found a bug!" type="btn">
+            <CollapsableBadge expand_class="danger" expand_text="I found a bug!" type="btn">
               Awesome! Ideally read up on https://fedoraproject.org/wiki/How_to_file_a_bug_report
               <br />
               If you don't feel like reading a wall of text, at least pot together a small document
@@ -344,11 +341,11 @@ export class FedoraManualTestingItem extends Component {
                 <li>
                   Share your notes on the internet (you can use fpaste), and ask for help with
                   filing the bug report on our IRC channel #fedora-qa at freenode.net{" "}
-                  <ModalBadge expand_text="Don&#39;t have an IRC client?">
+                  <CollapsableBadge expand_text="Don&#39;t have an IRC client?">
                     If you are not that familiar with IRC, you can use the web-interface[link] just
                     enter a Nickname of your choice, #fedora-qa (including the hash sign) in the
                     Channels field, and click Connect.
-                  </ModalBadge>
+                  </CollapsableBadge>
                 </li>
               </ul>
               Once you get the Bug reported, make sure to also submit the result into the testing
@@ -360,7 +357,7 @@ export class FedoraManualTestingItem extends Component {
               directly by clicking on the <code>Edit</code> link next to the Matrice's header, and
               put <code>&#123;&#123;result|fail|YOUR_NAME_HERE|BUG_NUMBER|&#125;&#125;</code> in
               the appropriate spot.
-            </ModalBadge>
+            </CollapsableBadge>
           </li>
         </ol>
       </ModalInfo>

